LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFormField Interface Reference

`import"XFormField.idl";`

Inheritance diagram for XFormField:

## Public Member Functions
string | getFieldType ()
void | setFieldType ([in] string fieldType)
com::sun::star::container::XNameContainer | getParameters ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Deprecated:

## Member Function Documentation

## ◆ getFieldType()

string getFieldType | ( |  | ) |

## ◆ getParameters()

com::sun::star::container::XNameContainer getParameters | ( |  | ) |

## ◆ setFieldType()

void setFieldType | ( | [in] string | fieldType | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/text/XFormField.idl